function [LHS,RHS] = ConnectionConstraint(S)
%Build the constraints to block individual tours. This builds one row
%vector for the Aineq and one column for bineq
global A f beta W MT Plot
m = size(A);
indexList = IndexList(A,S);
n = size(indexList);
xopt = zeros(m(1),n(1));
for i = 1:n(1)
    for j = 1:n(2)
        a = indexList(i,j);
        if a == 0
            break
        end
        xopt(a,i)=-1;
    end
end
LHS = xopt';
RHS =-2*ones(n(1),1); 
