function [x,fval,iterations,Maxtour,Mintour,time] = Overall(IM,IMN,w,k,mt,VUAV,Aineq,bineq,plot)
% This portion of the code contsracust all portion of the problems and
% solves it until an optimal solution is reached. 
global A f beta W MT Plot B
Plot = plot;
W=w;
MT=mt;

% store the size of the sites vector. 
% m is the number of sites including the depot 
m = size(IM);
beta = m(1);
B = .5*((m(1)-1)^2 + (m(1)-1)); %ALWAYS beta - 1 for this, since we index from zero for nodes

% store the distance matrix between all of the sites
dm = allDist(IM);
dm=dm./VUAV;
%LB(IM,IMN,dm,k,VUAV)
%Check if feasible from initial distances
LimitTest=max(dm(1,:));
if LimitTest*2 > MT
    %How do you like that error handling
   x=[];
   fval=0;
   iterations=0;
   Maxtour=0;
   Mintour=0;
   time=0;
   
else
    tic;
    %Create cost vector
    f = Cost(dm);

    %Build Index Representation of Optimal Tour
    A = Xrep;
    %Run Problem 
    Aineq=[];
    bineq=[];
    AineqT=[];
    bineqT=[];
    iterations = 0;
    mainiterations=0;
    bflag=0;
    while bflag == 0
        %add rows to Aineq and bineq matrices
        Aineq=[AineqT;Aineq];
        bineq=[bineqT;bineq];
        % Recalculate to find a new "optimal solution"
        [x,fval] = Problem(IM,IMN,k,VUAV,Aineq,bineq);
        % increment counter 
        mainiterations=mainiterations+1;
        iterations=iterations+1;
        
        % check current solution for subtours
        [AineqT,bineqT,Maxtour,Mintour,bflag] = Eliminator(x);
        %Stops the code from running after 6000 iterations
        if iterations==6000
            break
        end
    end
    toc;
    time=toc;
    if Plot==2
        Draw(IM,IMN,x)
    end
end
end
        