function [x,fval] = Problem(IM,IMN,k,VUAV,Aineq,bineq)
%Problem calls the CPLEX environemnt to solve the problem with all
%constraints previosly created.
%Define Global Variables
global A f beta W MT Plot B
%Add CPLEX Path
addpath('C:\Program Files\IBM\ILOG\CPLEX_Studio1251\cplex\matlab\x64_win64');
%Create Equailty Constraints
Aeq1 = Aeq;

% intialize beq 
[t,s] = size(Aeq1);
r = t-1;
Beq = 2*ones(r,1);
BD = 2*k;
beq = [BD;Beq];

% initialize SOS's
sostype = [];
sosind = [];
soswt = [];

%intialize lb , ub
lb = zeros(B,1);
ub = ones(B,1);
for gg = 1: beta-1
    ub(gg) = 2;
end

%intialize ctype
ctype = {'I'};
for aaaah = 1:B-1
    ctype = strcat(ctype,'I');
end

% solve the binary lp subject to constraints initialized above
%options = cplexoptimset('ExportModel','model.lp','Diagnostics','on');
options = cplexoptimset('ExportModel','model.lp');
x0 = zeros(1,B)';

%Send the problem with intial conditions to CPLEX
%tic
[x,fval,exitflag] = cplexmilp(f,Aineq,bineq,Aeq1,beq,sostype,sosind,soswt,lb,ub,ctype,x0,options);
%toc
%time = toc;
%Plot Solutions
if Plot == 1
    Draw(IM,IMN,x)
end

