function cost = TourCost(D)
%Cqalculates the time need to traverse a given tour in the graph, this
%value is used to check against mt.
global A f beta W MT Plot B
m = size(D);
cost=zeros(m(1),1);
for i =1:m(1)
    xopt = zeros(B,1);
    waitTime=0;
    row = D(i,:);
    n = size(row);
    prev = row(1);
    for j = 2:n(2)
        next = row(j);
        if next == -1
            break
        else
            idx = indexLocation(prev,next);
            xopt(idx) = 1;
            waitTime = waitTime + W(prev+1);
            prev = next;
        end
    end
    idx = indexLocation(row(1),prev);
    xopt(idx) = xopt(idx) + 1;
    waitTime = waitTime + W(prev+1);
    cost(i,1)= f'*xopt+waitTime;
    %Use below to solve CVRP instead of DVRP
    %cost(i,1)=waitTime;
end

