function [Dtours, Stours] = Tours(x)
%Tours is built to take in an x-optimal and find the nodes that amke up
%each depot tour and subtour
    global A B
    if isempty(x) == 1
        error('infeasible parameters, need to increase MT')
    end
    Dtours = [];
    Stours = [];
    tempx = x;
    b = A(B,2);
    for i = 1:b
        if tempx(i) == 2
             s = size(Dtours);
             cycle = A(i,:);
             if s(2) > 2
                 zed = -ones(1,s(2)-2);
                 cycle = [cycle,zed];
            end
            Dtours = [Dtours;cycle]; 
            tempx(i) = 0;
        elseif tempx(i) == 1
            q = i;
            v = 0; % visited nodes
            t = 1; % size tracker for v
            dflag = 0;
            tempx(q) = 0;
            while dflag == 0
                left = A(q,1);
                right = A(q,2);
                lflag = 0;
                rflag = 0;
                for k = 1:t
                    if v(k) == left
                        lflag = 1;
                    elseif v(k) == right
                        rflag = 1;
                    end
                end
                if lflag == 0 && rflag == 1
                    q = xfind(left,tempx);
                    t = t + 1;
                    v(t) = left;
                elseif rflag == 0 && lflag == 1
                    q = xfind(right,tempx);
                    t = t+1;
                    v(t) = right;
                else
                    dflag = 1;
                end
                tempx(q) = 0;
            end
            s = size(Dtours);
            if s(1) == 0
                Dtours = v;
            else
            p = size(v);
            if p(2) > s(2)
                topfill = -ones(s(1), p(2)-s(2));
                Dtours = [Dtours,topfill];
            elseif p(2) < s(2)
                botfill = -ones(1,s(2)-p(2));
                v = [v,botfill];
            end
            Dtours = [Dtours;v];
            end
        end
    end
    for n = b+1:B
        if tempx(n) == 1
            m = n;
            start = A(m,1);
            v = start;
            t = 1;
            sflag = 0;
            tempx(m) = 0;
            while sflag == 0
                left = A(m,1);
                right = A(m,2);
                lflag = 0;
                rflag = 0;
                for k = 1:t
                    if v(k) == left
                        lflag = 1;
                    elseif v(k) == right
                        rflag = 1;
                    end
                end
                if lflag == 0 && rflag == 1
                    if sum(tempx) == 0
                        t = t+1;
                        v(t) = left;
                        sflag = 1;
                    else
                    m = xfind(left,tempx);
                    t = t + 1;
                    v(t) = left;
                    end
                elseif rflag == 0 && lflag == 1
                    if sum(tempx) == 0
                        t = t+1;
                        v(t) = right;
                        sflag =1;
                    else
                    m = xfind(right,tempx);
                    t = t+1;
                    v(t) = right;
                    end
                else
                    sflag = 1;
                end
                tempx(m) = 0;
            end
                s = size(Stours);
                if s(1) == 0;
                    Stours = v;
                else
                p = size(v);
                if p(2) > s(2)
                    topfill = -ones(s(1), p(2)-s(2));
                    Stours = [Stours,topfill];
                elseif p(2) < s(2)
                    botfill = -ones(1,s(2)-p(2));
                    v = [v,botfill];
                end
                Stours = [Stours;v];  
                end
        end
    end
end
                
    