function [Aineq,bineq] = DepotConst(z)
%Creates the depot edge constraint. This means it creates 
%Aineq as well as bineq. 
global B A
[didx,idx] = DepotIndexList(A,z);
Aineq = zeros(1,B);
Aineq(didx(1)) = 0.45;
Aineq(didx(2)) = 0.45;
[a,b] = size(idx);
for i = 1:b
    Aineq(idx(i)) = 1;
end
bineq = 0.45 + b;
end