function drawing = Draw(IM,IMN,x)

global beta Plot

% Plot the points on a map of the world

%Correcting for testing mistake, changes IMN form digits to strings
[esp1,esp2]=size(IMN);
IMNT={};
for i=1:esp2
    IMNT{i}=IMN(i);
end
IMN=IMNT;
cities = IMN;
%world map in Mercator projection
fname = 'http://upload.wikimedia.org/wikipedia/commons/thumb/7/74/Mercator-projection.jpg/773px-Mercator-projection.jpg';
%fname = 'Mercator-projection.jpg';
img = imread(fname);
[imgH,imgW,~] = size(img);
[g,h] = mercatorProjection(IM(:,1), IM(:,2), imgW, imgH);
Y=[g,h];
figure(1);
imshow(img, 'InitialMag',100, 'Border','tight') 
hold on
plot(g,h, 'bo', 'MarkerSize',5, 'LineWidth',3)
text(g, h, cities, 'Color','w', 'VerticalAlign','bottom', 'HorizontalAlign','right')


% plot the edges that are on over the existing graph

ConMat = zeros(beta,beta);  % ConMat is the connection matrix
% m = no. of codes including depot;  there are m-1 cities
% x = vector of edges which is of length (m-1)*m/2

ss=1;
tt=1;
for ww = beta:-1:1
    for rr=1:ww-1
        ConMat(ss,ss+rr) = x(tt);
          if Plot ~= 0
          if x(tt)==1  || x(tt) == 2                      
             plot([Y(ss,1), Y(ss+rr,1)],[Y(ss,2), Y(ss+rr,2)],'r-')             
          end
          end
        tt=tt+1;
    end
        ss=ss+1;
end
end

       