function dm = allDist(x)
global beta
%This takes the longitude as colunm 1, latitude as column 2. Then it
%composes a distance matrix for each corrdinate pair.
dm=ones(beta);
for i=1:beta
    %For Loop to iterate over each coordinate starting with the first then
    %pairing with all others then repeating. 
    x1= x(i,1);
    y1= x(i,2);
    %c1=[x1,y1];
    for j=1:beta
      x2=x(j,1);
      y2=x(j,2);
      %c2=[x2,y2];
      %Coordinate pair 1
      %cp1=[c1;c2];   
      %Haversine Code so we have distance in KM
      d = haversine(y1,x1,y2,x2);
      %For euclidean distance
      %X=[x1,y1;x2,y2];
      %d=pdist(X,'euclidean');
      dm(i,j)= d;
    end;
end;
dm;    