function dist = haversine(lat1,lon1,lat2,lon2)
%HaverSine_Formula is used to caculate true point to point distance using
%a given longitude and latitude
    dlat = radians(lat2-lat1);
    dlon = radians(lon2-lon1);
    lat1 = radians(lat1);
    lat2 = radians(lat2);
    a = (sin(dlat./2)).^2+cos(lat2).*cos(lat1).*(sin(dlon./2)).^2;
    c = 2.*asin(sqrt(a));
    dist = c*6372.8;
end